be.ehealth.technicalconnector.handler

## Interface AbstractWsSecurityHandler.WSSecHeaderGeneratorStep0

- All Superinterfaces:
    AbstractWsSecurityHandler.WSSecHeaderGeneratorStep2, AbstractWsSecurityHandler.WSSecHeaderGeneratorStep3, AbstractWsSecurityHandler.WSSecHeaderGeneratorStep4
  All Known Implementing Classes:
    WSSecHeaderGeneratorWss4jImpl
  Enclosing class:
    AbstractWsSecurityHandler

      public static interface AbstractWsSecurityHandler.WSSecHeaderGeneratorStep0
      extends AbstractWsSecurityHandler.WSSecHeaderGeneratorStep2

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `AbstractWsSecurityHandler.WSSecHeaderGeneratorStep1` | `on(SOAPMessage message)` Deprecated.
    `AbstractWsSecurityHandler.WSSecHeaderGeneratorStep1` | `on(SOAPMessageContext ctx)`

    - ### Methods inherited from interface be.ehealth.technicalconnector.handler.AbstractWsSecurityHandler.WSSecHeaderGeneratorStep2

      `withBinarySecurityToken`

    - ### Methods inherited from interface be.ehealth.technicalconnector.handler.AbstractWsSecurityHandler.WSSecHeaderGeneratorStep3

      `withSAMLToken`

    - ### Methods inherited from interface be.ehealth.technicalconnector.handler.AbstractWsSecurityHandler.WSSecHeaderGeneratorStep4

      `sign`

- - ### Method Detail

    - #### on

          @Deprecated
          AbstractWsSecurityHandler.WSSecHeaderGeneratorStep1 on(SOAPMessage message)
                                                                       throws TechnicalConnectorException

      Deprecated.
      Throws:
        `TechnicalConnectorException`

    - #### on

          AbstractWsSecurityHandler.WSSecHeaderGeneratorStep1 on(SOAPMessageContext ctx)
                                                          throws TechnicalConnectorException

      Throws:
        `TechnicalConnectorException`

Connector Packaging PERSNURSE 4.8.6 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.